#include "engine/engine.h"

int main() {
    Engine::Engine app;
    app.enableDebug();

    try {
        app.run();
    } catch (const std::exception& e) {
        std::cerr << e.what() << std::endl;
        return EXIT_FAILURE;
    }

    return EXIT_SUCCESS;
}

